Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 29-06-2012 19:03:10

Franz
Membre
Distrib. : Squeeze
Noyau : 2.6.32-5-686
(G)UI : Gnome 2.30.2
Inscription : 08-05-2012

Oups ! J'ai passé outre l'avertissement

Bonjour à tous

Suite à l'annonce d'une MàJ de deux fichiers j'ai fais comme d'hab. un safe upgrade et j'ai eu l'avertissement cité plus bas.
Comme je n'y comprenais rien j'ai laissé tombé pour plus tard en fermant la console.

Mais aujourd'hui deux fichiers supplémentaires sont venus se rajouter à la liste à mettre à jour. J'ai refais un update + un safe upgrade et le même message s'est affiché.
A chaque fois je refermais la console un peu perplexe en me disant que le processus était arrêté à cause du problème.

Après une recherche sur le forum j'apprend que pour continuer il faut taper un "q" et c'est ce que je fis après une seconde tentative, tout heureux d'avoir découvert cette astuce console.
Le processus se continue donc après l'affichage du message mais il installe les 4 mises à jour sans vergogne.

Ma timide et timorée question est:
Ai-je fai. une bêtise en tapant ce "q" laissant continuer la mise à jour de mes deux premiers fichiers ? (je pensais que aptitude les auraient ignorés suite au message).

Si c'est effectivement une bêtise, comment faire pour remettre ces deux fichiers en version précèdente ? ou bien est-ce peu important ?

Voici le message en question que j'avais copié la première fois:

Les paquets suivants seront mis à jour :      
  [b]libmysqlclient16 mysql-common[/b]
2 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 1 992 ko d'archives. Après dépaquetage, 32,8 ko seront utilisés.
Voulez-vous continuer ? [Y/n/?] Y
Prendre : 1 http://security.debian.org/ squeeze/updates/main mysql-common all 5.1.63-0+squeeze1 [70,1 kB]
Prendre : 2 http://security.debian.org/ squeeze/updates/main libmysqlclient16 i386 5.1.63-0+squeeze1 [1 922 kB]
 1 992 ko téléchargés en 8s (246 ko/s)                                          
Lecture des fichiers de modifications (« changelog »)... Terminé
OB


mysql-5.1 (5.1.61-1) stable-security; urgency=high

   Due to the non-disclosure of security patch information from Oracle,
   we are forced to ship this upstream version update of MySQL 5.1 into
   all releases that carry MySQL 5.1. There are several known incompatible
   changes, which are listed below, taken from dev.mysql.com's changelogs,
   available here: http://dev.mysql.com/doc/refman/5.1/en/news-5-1-x.html

   5.1.51:
    Incompatible Change: Previously, if you flushed the logs using FLUSH
    LOGS or mysqladmin flush-logs and mysqld was writing the error log to
    a file (for example, if it was started with the --log-error option),
    it renamed the current log file with the suffix -old, then created a
    new empty log file. This had the problem that a second log-flushing
    operation thus caused the original error log file to be lost unless
    you saved it under a different name. For example, you could use the
    following commands to save the file:
    .
    shell> mysqladmin flush-logs
    shell> mv host_name.err-old backup-directory
    .
    To avoid the preceding file-loss problem, renaming no longer
    occurs. The server merely closes and reopens the log file. To rename
    the file, you can do so manually before flushing. Then flushing the
    logs reopens a new file with the original file name. For example, you
    can rename the file and create a new one using the following commands:
    .
    shell> mv host_name.err host_name.err-old
    shell> mysqladmin flush-logs
    shell> mv host_name.err-old backup-directory
    .
    (Bug #29751)
    .
    References: See also Bug #56821.

   5.1.55:
    Incompatible Change: When auto_increment_increment is greater than
    one, values generated by a bulk insert that reaches the maximum
    column value could wrap around rather producing an overflow error.
    .
    As a consequence of the fix, it is no longer possible for an
    auto-generated value to be equal to the maximum BIGINT UNSIGNED
    value. It is still possible to store that value manually, if the
    column can accept it. (Bug #39828, Bug #11749800)


 5.1.59:
    Incompatible Change: Handling of a date-related assertion was
    modified.
    .
    However, a consequence of this change is that several functions
    become more strict when passed a DATE() function value as their
    argument and reject incomplete dates with a day part of zero. These
    functions are affected: CONVERT_TZ(), DATE_ADD(), DATE_SUB(),
    DAYOFYEAR(), LAST_DAY(), TIMESTAMPDIFF(), TO_DAYS(), TO_SECONDS(),
    WEEK(), WEEKDAY(), WEEKOFYEAR(), YEARWEEK(). Because this changes
    date-handling behavior in General Availability-status series (MySQL
    5.1 and 5.5), it was reverted in 5.1.62 and 5.5.21. The change is
    retained in MySQL 5.6.
    .
    References: See also Bug #13458237.

 -- Clint Byrum <clint@ubuntu.com>  Thu, 01 Mar 2012 23:25:34 -0800

Dernière modification par Franz (29-06-2012 19:43:38)


Vieux processeur amd sempron 3000+ cadencé à 2 Gz

Hors ligne

#2 29-06-2012 21:22:38

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : Oups ! J'ai passé outre l'avertissement

Bonsoir,

Si tu n'observes pas de problème dans ton utilisation de mysql, on peut penser que cette nouvelle version n'est pas incompatible avec tes bases de données. Tu peux donc conserver ces deux paquets.

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#3 30-06-2012 13:56:34

Franz
Membre
Distrib. : Squeeze
Noyau : 2.6.32-5-686
(G)UI : Gnome 2.30.2
Inscription : 08-05-2012

Re : Oups ! J'ai passé outre l'avertissement

Merci Paskal

En fait en local je n'utilise pas mysql mais c'est installé seulement en ligne pour du Spip. De toute façon je conserverai le commentaire d'erreur.

J'ai ouvert ce sujet pour pas grand-chose roll
... et merci encore pour la présence rassurante des spécialistes Debian wink

Vieux processeur amd sempron 3000+ cadencé à 2 Gz

Hors ligne

Pied de page des forums